const webpackConfig = require('./webpack.config')

module.exports = (config) => {
  config.set({
    browsers: ['PhantomJS'],
    frameworks: ['es6-shim', 'mocha'],
    files: ['test/index.js'],
    preprocessors: {
      'test/index.js': ['webpack', 'sourcemap']
    },
    webpack: Object.assign(webpackConfig, {
      devtool: 'inline-source-map'
    }),
    webpackServer: {
      noInfo: true
    },
    reporters: ['mocha', 'coverage'],
    coverageReporter: {
      dir: 'coverage/',
      subdir: '.',
      reporters: [
        { type: 'text' },
        { type: 'lcov'},
      ],
    },
    customContextFile: 'testContext.html',
  })
}

